package com.ruoyi.system.domain.grid.ext;

import com.ruoyi.system.domain.grid.GridGroup;

import java.util.List;
import java.util.Map;

public class GridGroupExt extends GridGroup {

    private List<String> landIds;//经济地块id集合

    private List<String> landNames;//经济地块name集合

    private List<GridGroupLandExt> wsGroupLandExtList;//经济地块集合

    private String landAreaTotal; //集团地块总面积

    private List<Map<String, String>> relatedCompanyList;//地块下属关联企业

    private String relatedCompanyCount; //地块下属关联企业数量

    public List<String> getLandIds() {
        return landIds;
    }

    public void setLandIds(List<String> landIds) {
        this.landIds = landIds;
    }

    public List<String> getLandNames() {
        return landNames;
    }

    public void setLandNames(List<String> landNames) {
        this.landNames = landNames;
    }

    public List<GridGroupLandExt> getGridGroupLandExtList() {
        return wsGroupLandExtList;
    }

    public void setGridGroupLandExtList(List<GridGroupLandExt> wsGroupLandExtList) {
        this.wsGroupLandExtList = wsGroupLandExtList;
    }

    public String getLandAreaTotal() {
        return landAreaTotal;
    }

    public void setLandAreaTotal(String landAreaTotal) {
        this.landAreaTotal = landAreaTotal;
    }

    public List<Map<String, String>> getRelatedCompanyList() {
        return relatedCompanyList;
    }

    public void setRelatedCompanyList(List<Map<String, String>> relatedCompanyList) {
        this.relatedCompanyList = relatedCompanyList;
    }

    public String getRelatedCompanyCount() {
        return relatedCompanyCount;
    }

    public void setRelatedCompanyCount(String relatedCompanyCount) {
        this.relatedCompanyCount = relatedCompanyCount;
    }
}